Package org.opensaml.xacml.policy.impl

# Class ObligationsTypeMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.xacml.impl.AbstractXACMLObjectMarshaller
org.opensaml.xacml.policy.impl.ObligationsTypeMarshaller

All Implemented Interfaces:
  `Marshaller`

public class ObligationsTypeMarshaller extends AbstractXACMLObjectMarshaller
Marshaller for `ObligationsType`.

## Constructor Summary

Constructors
Constructor
Description
`ObligationsTypeMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.xacml.impl.AbstractXACMLObjectMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObligationsTypeMarshaller

public ObligationsTypeMarshaller()